import os
import numpy as np
import rpy2.robjects as ro

np.random.seed(323)

readRDS = ro.r['readRDS']

# data_dir = '/home/daiyun/DATA/MLab/m6acsvar/processed_data/Lung/'
# target_dir = data_dir + 'data_for_mil/'
# if not os.path.exists(target_dir):
#     os.mkdir(target_dir)
#
# train_label = readRDS(data_dir + 'train_label.rds')
# train_label = np.asarray(train_label)
#
# print(train_label.reshape(-1, 1).astype(np.int32))
# np.save(target_dir + 'train_label.npy', train_label.reshape(-1, 1).astype(np.int32))

data_name = 'Lung'
data_dir = '/home/daiyun/DATA/MLab/m6acsvar/processed_data/' + data_name + '/data_for_mil/'

print('loading data')
train_data = np.load(data_dir + 'train_data.npy', allow_pickle=True)
valid_data = np.load(data_dir + 'valid_data.npy', allow_pickle=True)
itest_data = np.load(data_dir + 'test_data.npy', allow_pickle=True)

train_label = np.load(data_dir + 'train_label.npy', allow_pickle=True)
valid_label = np.load(data_dir + 'valid_label.npy', allow_pickle=True)
itest_label = np.load(data_dir + 'test_label.npy', allow_pickle=True)

print(train_label)
print(valid_label)
print(itest_label)